const black = '#1f1e2c';
const white = '#ECEDEE';
const darkTint = '#fff';
const lightTint = '#0a7ea4';
const darkIcon = '#9BA1A6';
const lightIcon = '#687076';
const ttBlue = '#4d5eae';
const ttDarkBlue = '#2e2f3d';
const ttLightBlue = '#c8d0d7';

export const Colors = {
  light: {
    text: black,
    background: white,
    tint: lightTint,
    icon: lightIcon,
    tabIconDefault: lightIcon,
    tabIconSelected: lightTint,
    ttBlue,
    accent: ttLightBlue,
    card: '#ffffff',
    border: '#d0d7de',
    notification: '#f85149',
    placeholder: '#8b949e',
    inactive: '#afb8c1',
    subtle: '#f6f8fa',
    error: '#e5484d',
    success: '#46954a',
    warning: '#daaa3f',
  },
  dark: {
    text: white,
    background: black,
    tint: darkTint,
    icon: darkIcon,
    tabIconDefault: darkIcon,
    tabIconSelected: darkTint,
    ttBlue,
    accent: ttDarkBlue,
    card: '#3a3b4a',
    border: '#444c56',
    notification: '#ff6a69',
    placeholder: '#636e7b',
    inactive: '#4d5560',
    subtle: '#272934',
    error: '#ff6369',
    success: '#3fb950',
    warning: '#d29922',
  },
};
